//-----------------------------------------------------------------------------
// Torque Game Engine
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Channel assignments (channel 0 is unused in-game).

$GuiAudioType     = 1;
$SimAudioType     = 2;
$MessageAudioType = 3;
$MusicAudioType = 4;
$BackgroundMusicAudioType = 5;

new AudioDescription(AudioGui)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = false;
   type     = $GuiAudioType;
};

new AudioDescription(AudioMessage)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = false;
   type     = $MessageAudioType;
};

new AudioProfile(AudioButtonOver)
{
   filename = "~/data/sound/buttonOver.wav";
   description = "AudioGui";
	preload = true;
};


new AudioDescription(ZSound)
{
   volume   = 1.0;
   isLooping = false;
   is3D     = false;
   type     = $MusicAudioType;
}; 

new AudioProfile(ZSoundStart) 
{ 
	filename = "~/client/sounds/note01.ogg"; 
	description = "ZSound"; 
	preload = false; 
}; 

new AudioDescription(XSound)
{
   volume   = 1.0;
   isLooping = false;
   is3D     = false;
   type     = $MusicAudioType;
}; 

new AudioProfile(XSoundStart) 
{ 
	filename = "~/client/sounds/note02.ogg"; 
	description = "XSound"; 
	preload = false; 
}; 

new AudioDescription(CSound)
{
   volume   = 1.0;
   isLooping = false;
   is3D     = false;
   type     = $MusicAudioType;
}; 

new AudioProfile(CSoundStart) 
{ 
	filename = "~/client/sounds/note03.ogg"; 
	description = "CSound"; 
	preload = false; 
}; 

new AudioDescription(CSOTSound)
{
   volume   = 1.0;
   isLooping = false;
   is3D     = false;
   type     = $MusicAudioType;
}; 

new AudioProfile(CSOTSoundStart) 
{ 
	filename = "~/client/sounds/SOTnote1.ogg"; 
	description = "CSOTSound"; 
	preload = false; 
}; 

new AudioDescription(ZSOTSound)
{
   volume   = 1.0;
   isLooping = false;
   is3D     = false;
   type     = $MusicAudioType;
}; 

new AudioProfile(ZSOTSoundStart) 
{ 
	filename = "~/client/sounds/SOTnote2.ogg"; 
	description = "ZSOTSound"; 
	preload = false; 
}; 

new AudioDescription(XSOTSound)
{
   volume   = 1.0;
   isLooping = false;
   is3D     = false;
   type     = $MusicAudioType;
}; 

new AudioProfile(XSOTSoundStart) 
{ 
	filename = "~/client/sounds/SOTnote3.ogg"; 
	description = "XSOTSound"; 
	preload = false; 
}; 

new AudioDescription(SOT)
{
   volume   = 1.0;
   isLooping = true;
   is3D     = false;
   type     = $BackgroundMusicAudioType;
}; 

new AudioProfile(SOTStart) 
{ 
	filename = "~/client/sounds/SongOfTime.ogg"; 
	description = "SOT"; 
	preload = false; 
}; 