datablock ItemData( Boots )
{
    // The mission editor uses the "category" variable to organize this new 
    // item under the "shapes" root category.
    category = "Boots";

    // Next, we'll tell the mission editor where to find the .dts shape file 
	// that defines our Super Bomb's geometry.
    shapeFile = "~/data/shapes/boot/boot.dts";
};

function ItemData::create( %data )
{
	%obj = new Item()
	{
		dataBlock = %data;
		rotate = true; // All Super Bomb power-ups will rotate.
		static = true; // Super Bombs should stay put so they don't slide away.
	};

	return %obj;
}

//-----------------------------------------------------------------------------
// And, of course, what good is a Super Bomb power-up if we can't tell when 
// the player is touching it? Every time our player touches a Super Bomb the
// onCollision() function below will get called.
//-----------------------------------------------------------------------------
function Boots::onCollision( %this, %obj, %col )
{
if(%col.getClassName() $= "AIPlayer")
		return;
		
	%obj.setHidden(true);
	
	$numberOfBoots++;
	
	if(%obj.desc $= "swamp")
	{
		$haveSwampBoot = true;
	}
	if(%obj.desc $= "lake")
	{
		$haveLakeBoot = true;
	}
	
	
	
	if($numberOfBoots $= 1)
	{
	    $currentBoots = "Liam's Boots (1 of 2 Stealth Boots)";
	    curBoots.setText("Boots: " SPC $currentBoots);
		
		if($haveSwampBoot && %obj.desc $= "swamp")
		{
			story.setBitmap("tutorial.base/client/ui/message2.bmp");
			story.setVisible(true);
		}
		if($haveLakeBoot && %obj.desc $= "lake")
		{
			story.setBitmap("tutorial.base/client/ui/message2.bmp");
			story.setVisible(true);
		}
	}
	if($numberOfBoots $= 2)
	{
		$currentBoots = "Stealth Boots";
	    curBoots.setText("Boots: " SPC $currentBoots);
		$MAX_LEADER_RANGE = 50;
		
		story.setBitmap("tutorial.base/client/ui/message3.bmp");
		story.setVisible(true);
	}
	// TO DO: Add code here to have the player react to touching the power-up!
}