//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
//  Server and mission initialization
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------

function onServerCreated()
{
   // This function is called when a server is constructed.

   // Master server information for multiplayer games
   $Server::GameType = "Torque TTB";
   $Server::MissionType = "None";

   // Load up all datablocks, objects etc.
   exec("./audioProfiles.cs");
   exec("./camera.cs");
   exec("./editor.cs");
   exec("./player.cs");
   
   //exec("./bot.cs");
  // exec("./crossbow.cs");
   exec("./ukulele.cs");
   exec("./radiusDamage.cs");
   exec("./shapeBase.cs");
   exec("./swarm.cs");
   //exec("./aiPlayer.cs");
 //  exec("./aiGuard.cs");
   //exec("./lifeUI.cs");
   exec("./triggers.cs");
   exec("./hearts.cs");
   exec("./boots.cs");
   exec("./ukuleletime.cs");
}

function onServerDestroyed()
{
   // This function is called as part of a server shutdown.
}


//-----------------------------------------------------------------------------

function onMissionLoaded()
{
   new ScriptObject(AIManager) {};
   MissionCleanup.add(AIManager);
   AIManager.think();
   
   moveMap.bindCmd(keyboard, "c", "callC();", "");
   moveMap.bindCmd(keyboard, "x", "callX();", "");
   moveMap.bindCmd(keyboard, "z", "callZ();", "");
  
   resetVars();
   defineChordCombos();
   initSwarm();
}

function defineChordCombos(){
$numOfSequences = 14;
$currentIndex = 1;
$nearest = -1;  // Holds index of closest bad guy when battling.
$nearestDoor = -1;
$nearestDoorDesc = "";
$sequence = "";  // Holds current string while battling.
$chordCom[0] = "zxczx";
$chordCom[1] = "zxczc";
$chordCom[2] = "zxzcz";
$chordCom[3] = "zcxcx";
$chordCom[4] = "zczcz";
$chordCom[5] = "xczxc";
$chordCom[6] = "xzcxz";
$chordCom[7] = "cxzcx";
$chordCom[8] = "cczzx";
$chordCom[9] = "xzxzx";
$chordCom[10] = "czzxz";
$chordCom[11] = "xzczz";
$chordCom[12] = "xxzzc";
$chordCom[13] = "czczc";
$chordCom[14] = "zzzzc";
$finalSeq[0] = "czxcz";
$finalSeq[1] = "xzzxc";
$finalSeq[2] = "zcxzx";
$numOfFinalDone = 0;
}
function cheat()
{
   $life = 500;
   $currentWeapon = "The Ukulele of Time";
}

function resetVars()
{
	$numberOfBoots = 0;
	$damageMultiplier = 1;  // set to 2 for gandor.
	$floorNumber = 1;
	$MAX_LEADER_RANGE = 70;
	$CATCH_LEADER_SPEED = 0.6;
	$songOfTimeStarted = false;
	$finalBattle = false;
   $dead = false;
   $spawnOnce1 = true;  //used for triggers that cause spawning.  should only happen once.
   $spawnOnce2 = true;  // After village.
   $spawnOnce3 = true;  // Gandor
   $showOnce1 = true;  //Used for calling liam over.
   $haveSwampBoot = false;
   $haveLakeBoot = false;
   $ackbarBoxTime = 0;
   $victory = true;
   setRandomSeed();
   $life = 50;
   $lockedOn = false;
   $lockedType = "battle";
   $currentWeapon = "Liam's Ukulele";
   $currentBoots = "Liam's Boots";
   $ukulele = 0;
   curWeapon.setText("Weapon: " SPC $currentWeapon);
   curBoots.setText("Boots: " SPC $currentBoots);
   heart6.setVisible(true);
   heart5.setVisible(true);
   heart4.setVisible(true);
   heart3.setVisible(true);
   heart2.setVisible(true);
   heart1.setVisible(true);
   tab.setVisible(false);
   tab.setBitmap("tutorial.base/client/ui/tab.bmp");
   dot1C.setVisible(false);
   dot1X.setVisible(false);
   dot1Z.setVisible(false);
   dot2C.setVisible(false);
   dot2X.setVisible(false);
   dot2Z.setVisible(false);
   dot3C.setVisible(false);
   dot3X.setVisible(false);
   dot3Z.setVisible(false);
   dot4C.setVisible(false);
   dot4X.setVisible(false);
   dot4Z.setVisible(false);
   dot5C.setVisible(false);
   dot5X.setVisible(false);
   dot5Z.setVisible(false);
   lockedText.setVisible(false);
   story.setVisible(true);
   story.setBitmap("tutorial.base/client/ui/story1.bmp");
   
   %count = doors.getCount();
    for(%i = 0; %i < %count; %i++)
    {
      %door = doors.getObject(%i);
	  %door.state = "Up";
	}
}

function onMissionEnded()
{
   // Called by endMission(), right before the mission is destroyed
   AIManager.delete();
}


//-----------------------------------------------------------------------------
// Dealing with client connections
// These methods are extensions to the GameConnection class. Extending
// GameConnection make is easier to deal with some of this functionality,
// but these could also be implemented as stand-alone functions.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------

function GameConnection::onClientEnterGame(%this)
{
   // Every client get's a camera object.
   %this.camera = new Camera() {
      dataBlock = Observer;
   };
   MissionCleanup.add( %this.camera );
   %this.camera.scopeToClient(%this);

   // Create a player object.
   %spawnPoint = pickSpawnPoint();
   %this.createPlayer(%spawnPoint);
}

function GameConnection::onClientLeaveGame(%this)
{
   if (isObject(%this.camera))
      %this.camera.delete();
   if (isObject(%this.player))
      %this.player.delete();
}


//-----------------------------------------------------------------------------

function GameConnection::createPlayer(%this, %spawnPoint)
{
   if (%this.player > 0)  {
      // The client should not have a player currently
      // assigned.  Assigning a new one could result in 
      // a player ghost.
      error( "Attempting to create an angus ghost!" );
   }

   // Create the player object
   %player = new Player() {
      dataBlock = PlayerShape;
      client = %this;
   };
   MissionCleanup.add(%player);

   // Player setup...
   %player.setTransform(%spawnPoint);
   %player.setShapeName(%this.name);
   
   // Update the camera to start with the player
   %this.camera.setTransform(%player.getEyeTransform());

   // Give the client control of the player
   %this.player = %player;
   %this.setControlObject(%player);
}


//-----------------------------------------------------------------------------

function pickSpawnPoint() 
{
   // Pick the first object in drop point group and use it's
   // location as a spawn point.
   %group = nameToID("MissionGroup/PlayerDropPoints");
   if (%group != -1 && %group.getCount() != 0)
      return %group.getObject(0).getTransform();

   // If no object was found, return a point near the center of the world
   error("Missing spawn point object and/or mission group " @ %groupName);
   return "0 0 300 1 0 0 0";
}